curl --request GET \
--url https://api.rewind.rest/v1/collecting/media \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1,
"title": "Top Gun: Maverick",
"year": 2022,
"tmdb_id": 361743,
"imdb_id": "tt1745960",
"image": {
"url": "https://cdn.rewind.rest/collecting/media/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"runtime": 131,
"tmdb_rating": 8.2,
"media_type": "bluray",
"resolution": "1080p",
"hdr": null,
"audio": "Dolby Atmos",
"audio_channels": "7.1",
"collected_at": "2026-01-15T00:00:00Z"
},
{
"id": 2,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"imdb_id": "tt0057115",
"image": null,
"runtime": 172,
"tmdb_rating": 8,
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-12-25T00:00:00Z"
},
{
"id": 3,
"title": "Interstellar",
"year": 2014,
"tmdb_id": 157336,
"imdb_id": "tt0816692",
"image": null,
"runtime": 169,
"tmdb_rating": 8.4,
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-11-10T00:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 45,
"total_pages": 3
}
}Paginated, filterable Trakt physical media collection (Blu-ray, DVD, etc) with movie metadata.
curl --request GET \
--url https://api.rewind.rest/v1/collecting/media \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1,
"title": "Top Gun: Maverick",
"year": 2022,
"tmdb_id": 361743,
"imdb_id": "tt1745960",
"image": {
"url": "https://cdn.rewind.rest/collecting/media/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"runtime": 131,
"tmdb_rating": 8.2,
"media_type": "bluray",
"resolution": "1080p",
"hdr": null,
"audio": "Dolby Atmos",
"audio_channels": "7.1",
"collected_at": "2026-01-15T00:00:00Z"
},
{
"id": 2,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"imdb_id": "tt0057115",
"image": null,
"runtime": 172,
"tmdb_rating": 8,
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-12-25T00:00:00Z"
},
{
"id": 3,
"title": "Interstellar",
"year": 2014,
"tmdb_id": 157336,
"imdb_id": "tt0816692",
"image": null,
"runtime": 169,
"tmdb_rating": 8.4,
"media_type": "bluray_4k",
"resolution": "2160p",
"hdr": "HDR10",
"audio": "DTS-HD MA",
"audio_channels": "5.1",
"collected_at": "2025-11-10T00:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 45,
"total_pages": 3
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 11 <= x <= 100Single day (YYYY-MM-DD). Overrides from/to.
^\d{4}-\d{2}-\d{2}$"2025-02-17"
Range start, inclusive (ISO 8601)
"2025-02-01T00:00:00Z"
Range end, inclusive (ISO 8601)
"2025-02-28T23:59:59Z"